## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           jello
Version:        1.6.1
Release:        %autorelease
Summary:        Query JSON at the command line with Python syntax

# SPDX
License:        MIT
URL:            https://github.com/kellyjonbrazil/jello
# GitHub archive contains tests; PyPI sdist does not.
Source0:        %{url}/archive/v%{version}/jello-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%description
Query, filter, and transform JSON and JSON Lines at the command line with
Python syntax.


%prep
%autosetup -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l jello

install -t '%{buildroot}%{_mandir}/man1' -D -p -m 0644 man/*


%check
%{py3_test_envvars} ./runtests.sh


%files -f %{pyproject_files}
%doc ADVANCED_USAGE.md
%doc CHANGELOG
%doc README.md

%{_bindir}/jello
%{_mandir}/man1/jello.1*


%changelog
## START: Generated by rpmautospec
* Fri May 30 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.1-1
- Update to 1.6.1 (close RHBZ#2369302)

* Fri May 30 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-4
- Replace deprecated license_file with license_files in setup.cfg

* Fri May 30 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-3
- Assert that %%pyproject_files contains a license file

* Fri May 30 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-2
- F38+: Use %%{py3_test_envvars}

* Sun Apr 30 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-1
- Update to 1.6.0 (close RHBZ#2192142)

* Sun Jan 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.5-1
- Update to 1.5.5 (close RHBZ#2160991)

* Mon Aug 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.4-1
- Update to 1.5.4 (close RHBZ#2112580)

* Mon Aug 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.2-3
- Confirm that License is SPDX MIT (no License field change)

* Tue Mar 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.2-2
- Drop duplicate dependency on Pygments

* Tue Mar 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.2-1
- Initial package (close RHBZ#2059247)
## END: Generated by rpmautospec
